> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project

> Fetch a project by id. Requires the projects:read scope.



## OpenAPI

````yaml get /projects/{id}
openapi: 3.0.3
info:
  title: Productlane API
  description: Productlane API v2.
  version: 2.0.0
servers:
  - url: https://productlane.com/api/v2
security: []
paths:
  /projects/{id}:
    get:
      tags:
        - projects
      summary: Get project
      description: Fetch a project by id. Requires the projects:read scope.
      operationId: projects-get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                    nullable: true
                  color:
                    type: string
                    nullable: true
                  icon:
                    type: string
                    nullable: true
                    description: >-
                      Name of a Nucleo icon (PascalCase, e.g. `Notepad`,
                      `Atom`). Must be a valid icon from https://nucleoapp.com -
                      unknown names will not render in the dashboard or portal.
                  state:
                    type: string
                    nullable: true
                  progress:
                    type: number
                    nullable: true
                  sort_order:
                    type: number
                  total_score:
                    type: number
                  created_at:
                    type: string
                  updated_at:
                    type: string
                  linear_project_id:
                    type: string
                    nullable: true
                  linear_team_ids:
                    type: array
                    items:
                      type: string
                  linear_team_names:
                    type: array
                    items:
                      type: string
                required:
                  - id
                  - name
                  - description
                  - color
                  - icon
                  - state
                  - progress
                  - sort_order
                  - total_score
                  - created_at
                  - updated_at
                  - linear_project_id
                  - linear_team_ids
                  - linear_team_names
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````